## libav 0.8.21

=== libavformat/Makefile ===
NAME = avformat
FFLIBS = avcodec avutil

HEADERS = avformat.h avio.h version.h

OBJS = allformats.o         \
       cutils.o             \
       id3v1.o              \
       id3v2.o              \
       metadata.o           \
       options.o            \
       os_support.o         \
       riff.o               \
       sdp.o                \
       seek.o               \
       utils.o              \

OBJS-$(CONFIG_NETWORK)                   += network.o

# muxers/demuxers
OBJS-$(CONFIG_A64_MUXER)                 += a64.o
OBJS-$(CONFIG_AAC_DEMUXER)               += aacdec.o rawdec.o
OBJS-$(CONFIG_AC3_DEMUXER)               += ac3dec.o rawdec.o
OBJS-$(CONFIG_AC3_MUXER)                 += rawenc.o
OBJS-$(CONFIG_ADX_DEMUXER)               += adxdec.o
OBJS-$(CONFIG_ADX_MUXER)                 += rawenc.o
OBJS-$(CONFIG_ADTS_MUXER)                += adtsenc.o
OBJS-$(CONFIG_AEA_DEMUXER)               += aea.o pcm.o
OBJS-$(CONFIG_AIFF_DEMUXER)              += aiffdec.o pcm.o
OBJS-$(CONFIG_AIFF_MUXER)                += aiffenc.o
OBJS-$(CONFIG_AMR_DEMUXER)               += amr.o
OBJS-$(CONFIG_AMR_MUXER)                 += amr.o
OBJS-$(CONFIG_ANM_DEMUXER)               += anm.o
OBJS-$(CONFIG_APC_DEMUXER)               += apc.o
OBJS-$(CONFIG_APE_DEMUXER)               += ape.o apetag.o
OBJS-$(CONFIG_APPLEHTTP_DEMUXER)         += applehttp.o
OBJS-$(CONFIG_ASF_DEMUXER)               += asfdec.o asf.o asfcrypt.o \
                                            avlanguage.o
OBJS-$(CONFIG_ASF_MUXER)                 += asfenc.o asf.o
OBJS-$(CONFIG_ASS_DEMUXER)               += assdec.o
OBJS-$(CONFIG_ASS_MUXER)                 += assenc.o
OBJS-$(CONFIG_AU_DEMUXER)                += au.o pcm.o
OBJS-$(CONFIG_AU_MUXER)                  += au.o
OBJS-$(CONFIG_AVI_DEMUXER)               += avidec.o
OBJS-$(CONFIG_AVI_MUXER)                 += avienc.o
OBJS-$(CONFIG_AVISYNTH)                  += avisynth.o
OBJS-$(CONFIG_AVM2_MUXER)                += swfenc.o
OBJS-$(CONFIG_AVS_DEMUXER)               += avs.o vocdec.o voc.o
OBJS-$(CONFIG_BETHSOFTVID_DEMUXER)       += bethsoftvid.o
OBJS-$(CONFIG_BFI_DEMUXER)               += bfi.o
OBJS-$(CONFIG_BINK_DEMUXER)              += bink.o
OBJS-$(CONFIG_BMV_DEMUXER)               += bmv.o
OBJS-$(CONFIG_C93_DEMUXER)               += c93.o vocdec.o voc.o
OBJS-$(CONFIG_CAF_DEMUXER)               += cafdec.o caf.o mov.o mov_chan.o \
                                            isom.o
OBJS-$(CONFIG_CAVSVIDEO_DEMUXER)         += cavsvideodec.o rawdec.o
OBJS-$(CONFIG_CAVSVIDEO_MUXER)           += rawenc.o
OBJS-$(CONFIG_CDG_DEMUXER)               += cdg.o
OBJS-$(CONFIG_CRC_MUXER)                 += crcenc.o
OBJS-$(CONFIG_DAUD_DEMUXER)              += daud.o
OBJS-$(CONFIG_DAUD_MUXER)                += daud.o
OBJS-$(CONFIG_DFA_DEMUXER)               += dfa.o
OBJS-$(CONFIG_DIRAC_DEMUXER)             += diracdec.o rawdec.o
OBJS-$(CONFIG_DIRAC_MUXER)               += rawenc.o
OBJS-$(CONFIG_DNXHD_DEMUXER)             += dnxhddec.o rawdec.o
OBJS-$(CONFIG_DNXHD_MUXER)               += rawenc.o
OBJS-$(CONFIG_DSICIN_DEMUXER)            += dsicin.o
OBJS-$(CONFIG_DTS_DEMUXER)               += dtsdec.o rawdec.o
OBJS-$(CONFIG_DTS_MUXER)                 += rawenc.o
OBJS-$(CONFIG_DV_DEMUXER)                += dv.o
OBJS-$(CONFIG_DV_MUXER)                  += dvenc.o
OBJS-$(CONFIG_DXA_DEMUXER)               += dxa.o
OBJS-$(CONFIG_EA_CDATA_DEMUXER)          += eacdata.o
OBJS-$(CONFIG_EA_DEMUXER)                += electronicarts.o
OBJS-$(CONFIG_EAC3_DEMUXER)              += ac3dec.o rawdec.o
OBJS-$(CONFIG_EAC3_MUXER)                += rawenc.o
OBJS-$(CONFIG_FFM_DEMUXER)               += ffmdec.o
OBJS-$(CONFIG_FFM_MUXER)                 += ffmenc.o
OBJS-$(CONFIG_FFMETADATA_DEMUXER)        += ffmetadec.o
OBJS-$(CONFIG_FFMETADATA_MUXER)          += ffmetaenc.o
OBJS-$(CONFIG_FILMSTRIP_DEMUXER)         += filmstripdec.o
OBJS-$(CONFIG_FILMSTRIP_MUXER)           += filmstripenc.o
OBJS-$(CONFIG_FLAC_DEMUXER)              += flacdec.o rawdec.o \
                                            oggparsevorbis.o \
                                            vorbiscomment.o
OBJS-$(CONFIG_FLAC_MUXER)                += flacenc.o flacenc_header.o \
                                            vorbiscomment.o
OBJS-$(CONFIG_FLIC_DEMUXER)              += flic.o
OBJS-$(CONFIG_FLV_DEMUXER)               += flvdec.o
OBJS-$(CONFIG_FLV_MUXER)                 += flvenc.o avc.o
OBJS-$(CONFIG_FOURXM_DEMUXER)            += 4xm.o
OBJS-$(CONFIG_FRAMECRC_MUXER)            += framecrcenc.o
OBJS-$(CONFIG_FRAMEMD5_MUXER)            += md5enc.o
OBJS-$(CONFIG_GIF_MUXER)                 += gif.o
OBJS-$(CONFIG_GSM_DEMUXER)               += gsmdec.o
OBJS-$(CONFIG_GXF_DEMUXER)               += gxf.o
OBJS-$(CONFIG_GXF_MUXER)                 += gxfenc.o audiointerleave.o
OBJS-$(CONFIG_G722_DEMUXER)              += rawdec.o
OBJS-$(CONFIG_G722_MUXER)                += rawenc.o
OBJS-$(CONFIG_H261_DEMUXER)              += h261dec.o rawdec.o
OBJS-$(CONFIG_H261_MUXER)                += rawenc.o
OBJS-$(CONFIG_H263_DEMUXER)              += h263dec.o rawdec.o
OBJS-$(CONFIG_H263_MUXER)                += rawenc.o
OBJS-$(CONFIG_H264_DEMUXER)              += h264dec.o rawdec.o
OBJS-$(CONFIG_H264_MUXER)                += rawenc.o
OBJS-$(CONFIG_IDCIN_DEMUXER)             += idcin.o
OBJS-$(CONFIG_IFF_DEMUXER)               += iff.o
OBJS-$(CONFIG_IMAGE2_DEMUXER)            += img2.o
OBJS-$(CONFIG_IMAGE2_MUXER)              += img2.o
OBJS-$(CONFIG_IMAGE2PIPE_DEMUXER)        += img2.o
OBJS-$(CONFIG_IMAGE2PIPE_MUXER)          += img2.o
OBJS-$(CONFIG_INGENIENT_DEMUXER)         += ingenientdec.o rawdec.o
OBJS-$(CONFIG_IPMOVIE_DEMUXER)           += ipmovie.o
OBJS-$(CONFIG_ISS_DEMUXER)               += iss.o
OBJS-$(CONFIG_IV8_DEMUXER)               += iv8.o
OBJS-$(CONFIG_IVF_DEMUXER)               += ivfdec.o
OBJS-$(CONFIG_IVF_MUXER)                 += ivfenc.o
OBJS-$(CONFIG_JV_DEMUXER)                += jvdec.o
OBJS-$(CONFIG_LATM_DEMUXER)              += rawdec.o
OBJS-$(CONFIG_LATM_MUXER)                += latmenc.o
OBJS-$(CONFIG_LMLM4_DEMUXER)             += lmlm4.o
OBJS-$(CONFIG_LXF_DEMUXER)               += lxfdec.o
OBJS-$(CONFIG_M4V_DEMUXER)               += m4vdec.o rawdec.o
OBJS-$(CONFIG_M4V_MUXER)                 += rawenc.o
OBJS-$(CONFIG_MATROSKA_DEMUXER)          += matroskadec.o matroska.o \
                                            isom.o rmdec.o rm.o
OBJS-$(CONFIG_MATROSKA_MUXER)            += matroskaenc.o matroska.o \
                                            isom.o avc.o \
                                            flacenc_header.o avlanguage.o
OBJS-$(CONFIG_MD5_MUXER)                 += md5enc.o
OBJS-$(CONFIG_MJPEG_DEMUXER)             += rawdec.o
OBJS-$(CONFIG_MJPEG_MUXER)               += rawenc.o
OBJS-$(CONFIG_MLP_DEMUXER)               += rawdec.o
OBJS-$(CONFIG_MLP_MUXER)                 += rawenc.o
OBJS-$(CONFIG_MM_DEMUXER)                += mm.o
OBJS-$(CONFIG_MMF_DEMUXER)               += mmf.o pcm.o
OBJS-$(CONFIG_MMF_MUXER)                 += mmf.o
OBJS-$(CONFIG_MOV_DEMUXER)               += mov.o isom.o mov_chan.o
OBJS-$(CONFIG_MOV_MUXER)                 += movenc.o isom.o avc.o \
                                            movenchint.o rtpenc_chain.o \
                                            mov_chan.o
OBJS-$(CONFIG_MP2_MUXER)                 += mp3enc.o rawenc.o
OBJS-$(CONFIG_MP3_DEMUXER)               += mp3dec.o
OBJS-$(CONFIG_MP3_MUXER)                 += mp3enc.o rawenc.o id3v2enc.o
OBJS-$(CONFIG_MPC_DEMUXER)               += mpc.o apetag.o
OBJS-$(CONFIG_MPC8_DEMUXER)              += mpc8.o
OBJS-$(CONFIG_MPEG1SYSTEM_MUXER)         += mpegenc.o
OBJS-$(CONFIG_MPEG1VCD_MUXER)            += mpegenc.o
OBJS-$(CONFIG_MPEG2DVD_MUXER)            += mpegenc.o
OBJS-$(CONFIG_MPEG2VOB_MUXER)            += mpegenc.o
OBJS-$(CONFIG_MPEG2SVCD_MUXER)           += mpegenc.o
OBJS-$(CONFIG_MPEG1VIDEO_MUXER)          += rawenc.o
OBJS-$(CONFIG_MPEG2VIDEO_MUXER)          += rawenc.o
OBJS-$(CONFIG_MPEGPS_DEMUXER)            += mpeg.o
OBJS-$(CONFIG_MPEGTS_DEMUXER)            += mpegts.o isom.o
OBJS-$(CONFIG_MPEGTS_MUXER)              += mpegtsenc.o adtsenc.o
OBJS-$(CONFIG_MPEGVIDEO_DEMUXER)         += mpegvideodec.o rawdec.o
OBJS-$(CONFIG_MPJPEG_MUXER)              += mpjpeg.o
OBJS-$(CONFIG_MSNWC_TCP_DEMUXER)         += msnwc_tcp.o
OBJS-$(CONFIG_MTV_DEMUXER)               += mtv.o
OBJS-$(CONFIG_MVI_DEMUXER)               += mvi.o
OBJS-$(CONFIG_MXF_DEMUXER)               += mxfdec.o mxf.o
OBJS-$(CONFIG_MXF_MUXER)                 += mxfenc.o mxf.o audiointerleave.o
OBJS-$(CONFIG_MXG_DEMUXER)               += mxg.o
OBJS-$(CONFIG_NC_DEMUXER)                += ncdec.o
OBJS-$(CONFIG_NSV_DEMUXER)               += nsvdec.o
OBJS-$(CONFIG_NULL_MUXER)                += nullenc.o
OBJS-$(CONFIG_NUT_DEMUXER)               += nutdec.o nut.o
OBJS-$(CONFIG_NUT_MUXER)                 += nutenc.o nut.o
OBJS-$(CONFIG_NUV_DEMUXER)               += nuv.o
OBJS-$(CONFIG_OGG_DEMUXER)               += oggdec.o         \
                                            oggparsecelt.o   \
                                            oggparsedirac.o  \
                                            oggparseflac.o   \
                                            oggparseogm.o    \
                                            oggparseskeleton.o \
                                            oggparsespeex.o  \
                                            oggparsetheora.o \
                                            oggparsevorbis.o \
                                            vorbiscomment.o
OBJS-$(CONFIG_OGG_MUXER)                 += oggenc.o \
                                            vorbiscomment.o
OBJS-$(CONFIG_OMA_DEMUXER)               += omadec.o pcm.o oma.o
OBJS-$(CONFIG_OMA_MUXER)                 += omaenc.o rawenc.o oma.o id3v2enc.o
OBJS-$(CONFIG_PCM_ALAW_DEMUXER)          += pcmdec.o pcm.o rawdec.o
OBJS-$(CONFIG_PCM_ALAW_MUXER)            += pcmenc.o rawenc.o
OBJS-$(CONFIG_PCM_F32BE_DEMUXER)         += pcmdec.o pcm.o rawdec.o
OBJS-$(CONFIG_PCM_F32BE_MUXER)           += pcmenc.o rawenc.o
OBJS-$(CONFIG_PCM_F32LE_DEMUXER)         += pcmdec.o pcm.o rawdec.o
OBJS-$(CONFIG_PCM_F32LE_MUXER)           += pcmenc.o rawenc.o
OBJS-$(CONFIG_PCM_F64BE_DEMUXER)         += pcmdec.o pcm.o rawdec.o
OBJS-$(CONFIG_PCM_F64BE_MUXER)           += pcmenc.o rawenc.o
OBJS-$(CONFIG_PCM_F64LE_DEMUXER)         += pcmdec.o pcm.o rawdec.o
OBJS-$(CONFIG_PCM_F64LE_MUXER)           += pcmenc.o rawenc.o
OBJS-$(CONFIG_PCM_MULAW_DEMUXER)         += pcmdec.o pcm.o rawdec.o
OBJS-$(CONFIG_PCM_MULAW_MUXER)           += pcmenc.o rawenc.o
OBJS-$(CONFIG_PCM_S16BE_DEMUXER)         += pcmdec.o pcm.o rawdec.o
OBJS-$(CONFIG_PCM_S16BE_MUXER)           += pcmenc.o rawenc.o
OBJS-$(CONFIG_PCM_S16LE_DEMUXER)         += pcmdec.o pcm.o rawdec.o
OBJS-$(CONFIG_PCM_S16LE_MUXER)           += pcmenc.o rawenc.o
OBJS-$(CONFIG_PCM_S24BE_DEMUXER)         += pcmdec.o pcm.o rawdec.o
OBJS-$(CONFIG_PCM_S24BE_MUXER)           += pcmenc.o rawenc.o
OBJS-$(CONFIG_PCM_S24LE_DEMUXER)         += pcmdec.o pcm.o rawdec.o
OBJS-$(CONFIG_PCM_S24LE_MUXER)           += pcmenc.o rawenc.o
OBJS-$(CONFIG_PCM_S32BE_DEMUXER)         += pcmdec.o pcm.o rawdec.o
OBJS-$(CONFIG_PCM_S32BE_MUXER)           += pcmenc.o rawenc.o
OBJS-$(CONFIG_PCM_S32LE_DEMUXER)         += pcmdec.o pcm.o rawdec.o
OBJS-$(CONFIG_PCM_S32LE_MUXER)           += pcmenc.o rawenc.o
OBJS-$(CONFIG_PCM_S8_DEMUXER)            += pcmdec.o pcm.o rawdec.o
OBJS-$(CONFIG_PCM_S8_MUXER)              += pcmenc.o rawenc.o
OBJS-$(CONFIG_PCM_U16BE_DEMUXER)         += pcmdec.o pcm.o rawdec.o
OBJS-$(CONFIG_PCM_U16BE_MUXER)           += pcmenc.o rawenc.o
OBJS-$(CONFIG_PCM_U16LE_DEMUXER)         += pcmdec.o pcm.o rawdec.o
OBJS-$(CONFIG_PCM_U16LE_MUXER)           += pcmenc.o rawenc.o
OBJS-$(CONFIG_PCM_U24BE_DEMUXER)         += pcmdec.o pcm.o rawdec.o
OBJS-$(CONFIG_PCM_U24BE_MUXER)           += pcmenc.o rawenc.o
OBJS-$(CONFIG_PCM_U24LE_DEMUXER)         += pcmdec.o pcm.o rawdec.o

## libav 0.7.2

=== debian/changelog ===
libav (4:0.7.2-1ubuntu1) oneiric; urgency=low

  * Merge from debian, remaining changes:
    - don't build against libfaad, libdirac, librtmp and libopenjpeg,
      lame, xvid, x264  (all in universe)
    - not installing into multiarch directories
  * This new upstream release has basically merged in all 70 patches that
    are present in 4:0.7.1-7ubuntu2, plus some additional, similarily
    focused ones.

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 01 Oct 2011 00:22:07 +0200

libav (4:0.7.2-1) unstable; urgency=low

  * New upstream release: 0.7.2
    - Security focused release
    - Includes Matroska reallocation checks, Closes: #643859
  * Drop all post 0.7.1 patches, included upstream.

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 30 Sep 2011 21:01:25 +0200

libav (4:0.7.1-7ubuntu2) oneiric; urgency=low

  * Revert "Convert package to include multiarch support."

 -- Reinhard Tartler <siretart@tauware.de>  Wed, 28 Sep 2011 09:18:34 +0200

libav (4:0.7.1-7ubuntu1) oneiric; urgency=medium

  * Merge from debian/unstable
    - don't build against libfaad, libdirac, librtmp and libopenjpeg,
      lame, xvid, x264  (all in universe)
    - Introduces Security fix for CVE-2011-3362
    - Fixes LP: #835903
  * post-0.7.1/0070-Fix-memory-re-allocation-in-matroskadec.c-related-to.patch:
    - fix memory (re)allocation in matroskadec.c, related to MSVR-11-0080
  
 -- Reinhard Tartler <siretart@tauware.de>  Tue, 27 Sep 2011 22:05:55 +0200

libav (4:0.7.1-7) unstable; urgency=medium

  * Add 63 (!) additional post 0.7.1 patches
    - all scheduled for next upstream point release
    - Fix missing CAVS boundary checks, Closes: #641478, Fixes: CVE-2011-3362
  * Medium urgency for fixing a security issue
  * Drop debian/patches/03-fix-movrel.patch, better patch upstream
  * prefer libtiff4 over libtiff5 for now

 -- Reinhard Tartler <siretart@tauware.de>  Mon, 26 Sep 2011 22:24:47 +0200

libav (4:0.7.1-6) unstable; urgency=low

  * Convert package to include multiarch support.

 -- Andres Mejia <amejia@debian.org>  Fri, 23 Sep 2011 22:03:39 -0400

libav (4:0.7.1-5) unstable; urgency=low

  * sync patches with upstream release branch
  * Fix segmentation fault on ppc32, Closes: #639948

 -- Reinhard Tartler <siretart@tauware.de>  Mon, 05 Sep 2011 07:25:06 +0200

libav (4:0.7.1-4) unstable; urgency=low

  * upload to unstable

 -- Reinhard Tartler <siretart@tauware.de>  Thu, 01 Sep 2011 22:45:43 +0200
  

libav (4:0.7.1-3ubuntu1) oneiric; urgency=low

  * Merge from debian/unstable
    - don't build against libfaad, libdirac, librtmp and libopenjpeg,
      lame, xvid, x264  (all in universe)
  * Drop extra conflicts on libswscale-extra-1

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 26 Aug 2011 11:12:43 +0200

libav (4:0.7.1-3) experimental; urgency=low

  * add post 0.7.1 patches
  * make MAP_ANONYMOUS available on Linux and the Hurd, Closes: #637516
  * libpostproc: filter name needs to be double 0 terminated
  * relax dependencies in the shlibs file to accomodate
    the new versioning scheme in libav-extra. Fixes LP: #818619
  * libswscale-dev: fix alternate on libswscale-extra-2, Fixes LP: #829857

 -- Reinhard Tartler <siretart@tauware.de>  Thu, 25 Aug 2011 22:45:47 +0200

libav (4:0.7.1-2) experimental; urgency=low

  * Build against libx264. Closes: #418228, #440681
  * Build against libmp3lame, Closes: #587904
  * Build against xvidcore to enable xvid encoding
  * use yasm on every architecture. Should allow building on the Hurd

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 26 Jul 2011 21:58:18 +0200

libav (4:0.7.1-1ubuntu3) oneiric; urgency=low

  * libswscale-dev: fix alternate on libswscale-extra-2, Fixes LP: #829857

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 20 Aug 2011 19:29:21 +0200

libav (4:0.7.1-1ubuntu2) oneiric; urgency=low

  * relax dependencies in the shlibs file to accomodate the new versioning
    scheme in libav-extra. Fixes LP: #818619

 -- Reinhard Tartler <siretart@tauware.de>  Mon, 01 Aug 2011 13:16:59 +0200

libav (4:0.7.1-1ubuntu1) oneiric; urgency=low

  * Merge from debian/unstable
    - don't build against libfaad, libdirac, librtmp and libopenjpeg
      (all in universe)
    - Extra conflicts on libswscale-extra-1 (can be dropped after natty release)

 -- Reinhard Tartler <siretart@tauware.de>  Thu, 21 Jul 2011 21:12:27 +0200

libav (4:0.7.1-1) experimental; urgency=low

  [ Andres Mejia ]
  * Update to my @debian.org email.

  [ Reinhard Tartler ]
  * Pass --arch to configure
  * no longer generate 'snapshot_version'
  * disable jackd output support on the hurd
  * Use proper architecture wildcards for Linux-only dependencies,
    Closes: #634460
  * Drop "backported patches"
  * Imported Upstream version 0.7.1
  * Fix installation of codecs.txt and formats.txt

 -- Reinhard Tartler <siretart@tauware.de>  Thu, 21 Jul 2011 12:18:48 +0200

libav (4:0.7-2) experimental; urgency=low

  [ Arnout Engelen ]
  * libavformat-dev depends on libavutil-dev

  [ Reinhard Tartler ]
  * Add backported patches for 0.7.1

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 16 Jul 2011 14:38:21 +0200

libav (4:0.7-1ubuntu2) oneiric; urgency=low

  * Conflicts/Replaces against broken libswscale-extra-1 package, LP: #804452

 -- Reinhard Tartler <siretart@tauware.de>  Wed, 06 Jul 2011 15:29:06 +0200

libav (4:0.7-1ubuntu1) oneiric; urgency=low

  * Merge from debian. Remaining changes:
    - don't build against libfaad, libdirac, librtmp and libopenjpeg
      (all in universe)

 -- Reinhard Tartler <siretart@tauware.de>  Wed, 22 Jun 2011 10:47:22 +0200

libav (4:0.7-1) experimental; urgency=low

  * New upstream release.
  * Fixes several potential security issues, Closes: #628448
  * Much imporved libavfilter, Closes: #594108
  * Fixes some overlapping memcpys my using memmove instead, Closes: #627818
  * Bump libswscale SONAME
  * Bump shlibs
  * Bump Standards version to 3.9.2

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 21 Jun 2011 07:49:59 +0200



=== debian/control ===
Source: libav
Section: libs
Priority: optional
Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian multimedia packages maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Sam Hocevar (Debian packages) <sam+deb@zoy.org>,
 Loic Minier <lool@dooz.org>,
 Reinhard Tartler <siretart@tauware.de>,
 Fabian Greffrath <fabian+debian@greffrath.com>,
 Andres Mejia <amejia@debian.org>,
 Jonas Smedegaard <dr@jones.dk>
DM-Upload-Allowed: yes
Standards-Version: 3.9.2
Vcs-Git: git://git.debian.org/git/pkg-multimedia/libav.git
Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/libav.git;a=summary
Homepage: http://libav.org/
Build-Depends-Indep: doxygen
Build-Depends: debhelper (>= 7),
 libasound2-dev [linux-any],
 libbz2-dev,
 libdc1394-22-dev [linux-any],
 libfreetype6-dev,
 libgsm1-dev,
 libimlib2-dev,
 libjack-dev [!hurd-i386],
 libraw1394-dev [linux-any],
 libschroedinger-dev,
 libsdl1.2-dev,
 libspeex-dev,
 libtheora-dev (>> 0.0.0.alpha4),
 libtiff4-dev | libtiff-dev,
 libva-dev [!hurd-i386],
 libvdpau-dev,
 libvorbis-dev,
 libvpx-dev,
 libx11-dev,
 libxext-dev,
 libxfixes-dev, 
 libxvmc-dev,
 texi2html,
 yasm,
 zlib1g-dev

Package: ffmpeg
Section: video
Architecture: any
Replaces: libavcodec53 (<< ${source:Version}),
 libavcodec-extra-53 (<< 4:0.6~)
Depends: ${shlibs:Depends},
 ${misc:Depends}
Conflicts: ffprobe
Description: Multimedia player, server, encoder and transcoder
 This package contains the ffplay multimedia player, the ffserver streaming
 server and the ffmpeg audio and video encoder. They support most existing
 file formats (AVI, MPEG, OGG, Matroska, ASF...) and encoding formats (MPEG,
 DivX, MPEG4, AC3, DV...).

Package: ffmpeg-dbg
Section: debug
Priority: extra
Architecture: any
Depends: libav-dbg,
 ${misc:Depends}
Description: Debug symbols for Libav related packages
 This package contains debug data of the Libav related shared libraries.
 .
 Most people will not need this package. Please install it to produce useful
 stacktraces to help debugging the Libav libraries.
 .
 This package is only used for transitional purposes and can be safely
 removed.

Package: libav-dbg
Section: debug
Priority: extra
Architecture: any
Depends: libavutil51 (= ${binary:Version}),
 libavcodec53 (= ${binary:Version}),
 libavdevice53 (= ${binary:Version}),
 libpostproc52 (= ${binary:Version}),
 libavformat53 (= ${binary:Version}),
 libswscale2 (= ${binary:Version}),
 ffmpeg (= ${binary:Version}),
 ${misc:Depends}
Description: Debug symbols for Libav related packages
 This package contains debug data of the Libav related shared libraries.
 .
 Most people will not need this package. Please install it to produce useful
 stacktraces to help debugging the Libav library.

Package: libav-source
Architecture: all
Section: devel
Depends: ${misc:Depends}
Description: Patched Libav sources
 This package contains a tarball the source file that were used to produce
 this package, containing all modifications that have been applied inline.
 .
 This package is used as build-dependency for 'libav-extra', which provides
 the "extra" variants of libav.

Package: ffmpeg-doc
Section: doc
Architecture: all
Depends: libav-doc,
 ${misc:Depends}
Description: Documentation of the Libav API (transitional package)
 This package contains the html doxygen documentation of the Libav API.
 .
 Only application developers will find this package useful.
 .
 This package is only used for transitional purposes and can be safely
 removed.

Package: libav-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Breaks: ffmpeg-doc (<< ${binary:Version})
Replaces: ffmpeg-doc (<< ${binary:Version})
Description: Documentation of the Libav API
 This package contains the html doxygen documentation of the Libav API.
 .
 Only application developers will find this package useful.

Package: libavutil51
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends}
Description: Libav utility library
 This is the common utility library from Libav. It contains shared code
 used by all other Libav libraries.

Package: libavcodec53
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends}
Description: Libav codec library
 This is the codec library from Libav (both encoding and decoding).
 .
 It supports most existing codecs (MPEG, MPEG2, MPEG4, AC3, DV...).

Package: libavdevice53
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends}
Description: Libav device handling library
 This is the device handling library from Libav.

Package: libavformat53
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends}
Description: Libav file format library
 This is the library for handling file formats from Libav.
 .
 It supports most existing file formats (AVI, MPEG, OGG, Matroska,
 ASF...).

Package: libavfilter2
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends}
Description: Libav video filtering library
 This is the video filtering library from Libav.

Package: libpostproc52
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends}
Description: Libav video postprocessing library
 This is the video postprocessing library from Libav.

Package: libswscale2
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends}
Description: Libav video scaling library
 This is the video software scaling library from Libav.

Package: libavutil-dev
Section: libdevel
Architecture: any
Depends: libavutil51 (>= ${binary:Version}) | libavutil-extra-51 (>= ${source:Upstream-Version}),
 libavutil51 (<= ${source:Upstream-Version}-99) | libavutil-extra-51 (<= ${source:Upstream-Version}.99),
 ${misc:Depends}
Description: Development files for libavutil
 This is the common utility library from Libav.
 .
 This package contains the header files and static libraries needed to
 compile applications or shared objects that use libavutil.

Package: libavcodec-dev
Section: libdevel
Architecture: any
Depends: libavcodec53 (>= ${binary:Version}) | libavcodec-extra-53 (>= ${source:Upstream-Version}),
 libavcodec53 (<= ${source:Upstream-Version}-99) | libavcodec-extra-53 (<= ${source:Upstream-Version}.99),
 libavutil-dev (= ${binary:Version}),
 ${misc:Depends}
Suggests: libfaad-dev,
 libgsm1-dev,
 libogg-dev,
 libschroedinger-dev,
 libspeex-dev,
 libtheora-dev (>> 0.0.0.alpha4),
 libvorbis-dev,
 libx11-dev,
 libxext-dev,
 zlib1g-dev,
 ${lib1394-dev}
Description: Development files for libavcodec
 This is the codec library from Libav. It supports most existing
 encoding formats (MPEG, DivX, MPEG4, AC3, DV...).
 .
 This package contains the header files and static libraries needed to
 compile applications or shared objects that use libavcodec.

Package: libavdevice-dev
Section: libdevel
Architecture: any
Depends: libavdevice53 (>= ${binary:Version}) | libavdevice-extra-53 (>= ${source:Upstream-Version}),
 libavdevice53 (<= ${source:Upstream-Version}-99) | libavdevice-extra-53 (<= ${source:Upstream-Version}.99),
 libavformat-dev (= ${binary:Version}),
 ${misc:Depends}
Description: Development files for libavdevice
 This is the device handling library from Libav.
 .
 This package contains the header files and static libraries needed to
 compile applications or shared objects that use libavdevice.

Package: libavformat-dev
Section: libdevel
Architecture: any
Depends: libavformat53 (>= ${binary:Version}) | libavformat-extra-53 (>= ${source:Upstream-Version}),
 libavformat53 (<= ${source:Upstream-Version}-99) | libavformat-extra-53 (<= ${source:Upstream-Version}.99),
 libavcodec-dev (= ${binary:Version}), libavutil-dev (= ${binary:Version}),
 ${misc:Depends}
Description: Development files for libavformat
 This is the demuxer library from Libav. It supports most
 existing file formats (AVI, MPEG, OGG, Matroska, ASF...).
 .
 This package contains the header files and static libraries needed to
 compile applications or shared objects that use libavformat.

Package: libavfilter-dev
Section: libdevel
Architecture: any
Depends: libavfilter2 (>= ${binary:Version}) | libavfilter-extra-2 (>= ${source:Upstream-Version}),
 libavfilter2 (<= ${source:Upstream-Version}-99) | libavfilter-extra-2 (<= ${source:Upstream-Version}.99),
 libavcodec-dev (= ${binary:Version}),
 ${misc:Depends}
Description: Development files for libavfilter
 This is the video filtering library from Libav.
 .
 This package contains the header files and static libraries needed to
 compile applications or shared objects that use libavfilter.

Package: libpostproc-dev
Section: libdevel
Architecture: any
Depends: libpostproc52 (>= ${binary:Version}) | libpostproc-extra-52 (>= ${source:Upstream-Version}),
 libpostproc52 (<= ${source:Upstream-Version}-99) | libpostproc-extra-52 (<= ${source:Upstream-Version}.99),
 libavutil-dev (= ${binary:Version}),
 ${misc:Depends}
Description: Development files for libpostproc
 This is the video postprocessing library from Libav.
 .
 This package contains the header files and static libraries needed to
 compile applications or shared objects that use libpostproc.

Package: libswscale-dev
Section: libdevel
Architecture: any
Depends: libswscale2 (>= ${binary:Version}) | libswscale-extra-2 (>= ${source:Upstream-Version}),
 libswscale2 (<= ${source:Upstream-Version}-99) | libswscale-extra-2 (<= ${source:Upstream-Version}.99),
 libavutil-dev (= ${binary:Version}),
 ${misc:Depends}
Description: Development files for libswscale
 This is the video scaling library from Libav.
 .
 This package contains the header files and static libraries needed to
 compile applications or shared objects that use libswscale.

## libav 0.7.3

=== debian/changelog ===
libav (4:0.7.3-2) unstable; urgency=low

  * forcefully disable v4l on kfreebsd, fixes an FTBFS on kFreeBSD

 -- Reinhard Tartler <siretart@tauware.de>  Mon, 26 Dec 2011 10:50:36 +0100

libav (4:0.7.3-1) unstable; urgency=high

  * New upstream version. Includes fixes for:
     - VP3 decoder (CVE-2011-4352)
     - svq1 decoder (CVE-2011-4579)
     - DoS in the VP5/VP6 decoders (CVE-2011-4353)
     - QDM2 decoder (CVE-2011-4351)
     - Sierra VMD decoder (CVE-2011-4364)
  * Bumped urgency.
  * Enable drawtext filter (Closes: #647132)
  * Imported Upstream version 0.7.3
  * Bump shlibs for backported avcodec_open2() API

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 25 Dec 2011 22:04:54 +0100

=== debian/rules ===
#!/usr/bin/make -f

EPOCH=4:
DEB_SOURCE := $(shell dpkg-parsechangelog | sed -n 's/^Source: //p')
DEB_VERSION := $(shell dpkg-parsechangelog | sed -n 's/^Version: //p')
UPSTREAM_VERSION := $(shell echo $(DEB_VERSION) | sed -r 's/[^:]+://; s/-[^-]+$$//')
SHLIBS_VERSION := 4:0.7.3-1

LIB_PKGS := $(shell sed -nr 's/^Package:[[:space:]]*(lib(avutil|avcodec|avdevice|avformat|avfilter|postproc|swscale)(-extra-)?[0-9]+)[[:space:]]*$$/\1/p' debian/control)

# Support multiple makes at once
ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
NUMJOBS = -j$(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
else
# on i386 and amd64, we query the system unless overriden by DEB_BUILD_OPTIONS
ifeq      ($(DEB_HOST_ARCH),i386)
NUMJOBS := -j$(shell getconf _NPROCESSORS_ONLN 2>/dev/null || echo 1)
else ifeq ($(DEB_HOST_ARCH),amd64)
NUMJOBS := -j$(shell getconf _NPROCESSORS_ONLN 2>/dev/null || echo 1)
endif
endif

include debian/confflags

$(info FLAVORS = $(FLAVORS))
$(info DEB_BUILD_OPTIONS = $(DEB_BUILD_OPTIONS))
$(info CFLAGS = $(CFLAGS))
$(info LDFLAGS = $(LDFLAGS))

configure-%: configure-stamp-%
configure-stamp-%: $(QUILT_STAMPFN)
	dh_testdir
	mkdir -p debian-$*
	cd debian-$* && CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)" $(CURDIR)/configure \
		$($*_build_confflags) $(extra_$*_build_confflags)
	touch $@

build-%: build-stamp-%
build-stamp-%: configure-stamp-%
	dh_testdir
	$(MAKE) -C debian-$* $(NUMJOBS) V=1
	touch $@

debian-shared/tools/qt-faststart: build-stamp-shared
	$(MAKE) -C debian-shared tools/qt-faststart V=1

build-doxy: build-doxy-stamp
build-doxy-stamp: $(QUILT_STAMPFN)
	dh_testdir
	doxygen
	touch $@

build: build-stamp
build-stamp: $(addprefix build-stamp-, $(FLAVORS)) debian-shared/tools/qt-faststart
	touch $@

clean:
	dh_testdir
	rm -f build-stamp $(addprefix build-stamp-, $(FLAVORS)) \
	    $(addprefix configure-stamp-, $(FLAVORS)) \
	    build-doxy-stamp
	rm -rf $(addprefix debian-, $(FLAVORS)) doxy
	dh_clean

get-orig-source:
	dh_testdir
	sh debian/get-orig-source.sh -d $(SVN_VERSION)

# The trailing newline is important!
define install_flavor
	$(MAKE) -C debian-$(1) install DESTDIR=$(CURDIR)/debian/tmp \
	    mandir=$(CURDIR)/debian/tmp/usr/share/man

endef

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs -ptmp usr/src
	tar czvf debian/tmp/usr/src/libav-source.tar.gz . \
		 --exclude 'debian*' --exclude .git  --exclude .pc --exclude '*-stamp' \
		 --transform 's,^./,libav/,'
	dh_installdirs -ptmp usr/share/doc/ffmpeg/html etc
	dh_installdirs -ptmp usr/share/doc/libav-doc/html
	$(foreach flavor,$(FLAVORS),$(call install_flavor,$(flavor)))
	# don't fail on binary-indep only builds.
	[ ! -d doxy ] || cp -af doxy/html debian/tmp/usr/share/doc/libav-doc
	install -m 644 -D debian-shared/doc/*.html debian/tmp/usr/share/doc/ffmpeg/html/
	install -m 644 -D doc/ffserver.conf debian/tmp/etc/
	install -m 644 -D debian-shared/tools/qt-faststart debian/tmp/usr/bin/qt-faststart
	dh_install -Xusr/share/doc/libav-doc -Xusr/share/doc/ffmpeg \
		--fail-missing --sourcedir=debian/tmp

formats.txt: install
	env LD_LIBRARY_PATH="$(LD_LIBRARY_PATH):$(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)" \
	debian/tmp/usr/bin/ffmpeg -formats | tee $@

codecs.txt: install
	env LD_LIBRARY_PATH="$(LD_LIBRARY_PATH):$(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)" \
	debian/tmp/usr/bin/ffmpeg -codecs | tee $@

binary-indep: build-doxy install

binary-arch: build install codecs.txt formats.txt
	dh_testdir
	dh_testroot
	dh_installman -pffmpeg debian/qt-faststart.1
	dh_installdocs doc/optimization.txt
	dh_installdocs -A CREDITS doc/TODO
	dh_installdocs -A debian/README.Debian
	dh_installdocs -p libavcodec53 codecs.txt
	dh_installdocs -p libavformat53 formats.txt
	dh_installdocs -p libavcodec-dev -plibavdevice-dev \
		-plibavformat-dev -plibavfilter-dev -plibpostproc-dev \
		-plibswscale-dev -plibavutil-dev -plibav-doc \
		doc/APIchanges
	dh_installexamples -pffmpeg doc/ffserver.conf debian/recordshow.sh
	dh_installexamples -plibavcodec-dev libavcodec/api-example.c
	dh_installchangelogs Changelog
	dh_lintian
	dh_link
	dh_compress
	dh_fixperms
	dh_strip --dbg-package=libav-dbg

# strict internal dependencies
	for pkg in $(LIB_PKGS); do \
	    upkg=$$(echo "$$pkg" | sed -r 's/([0-9]+)$$/-extra-\1/'); \
	    dh_makeshlibs -p"$$pkg" -V"$$pkg (>= $(DEB_VERSION)) | $$upkg (>= $(EPOCH)$(UPSTREAM_VERSION)), $$pkg (<< $(EPOCH)$(UPSTREAM_VERSION)-99) | $$upkg (<< $(EPOCH)$(UPSTREAM_VERSION).99)"; \
	done
	env LD_LIBRARY_PATH="$(LD_LIBRARY_PATH):$(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)" \
	dh_shlibdeps
# target dependencies for external packages
	for pkg in $(LIB_PKGS); do \
	    upkg=$$(echo "$$pkg" | sed -r 's/([0-9]+)$$/-extra-\1/'); \
	    dh_makeshlibs -p"$$pkg" -V"$$pkg (>= $(SHLIBS_VERSION)) | $$upkg (>= $(SHLIBS_VERSION))"; \
	done
	dh_installdeb
	dh_gencontrol -- -Vlib1394-dev="$(lib1394-dev)"
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch

.PHONY: build $(addprefix build-, $(FLAVORS)) build-doxy \
	clean \
	configure $(addprefix configure-, $(FLAVORS)) \
	binary binary-indep binary-arch \
	install \
	get-orig-source

## libav 0.7.6

=== debian/changelog ===
libav (4:0.7.6-0ubuntu0.11.10.3) oneiric-security; urgency=low

  * SECURITY UPDATE: unspecified security issue in vp56.c (LP: #1104019)
    - debian/patches/CVE-2012-2783.patch: release frames on error in
      libavcodec/vp56.c.
    - CVE-2012-2783
  * SECURITY UPDATE: unspecified security issue in Indeo (LP: #1104019)
    - debian/patches/CVE-2012-2791.patch: check that scan pattern is set
      before using it in libavcodec/ivi_common.c.
    - CVE-2012-2791
  * SECURITY UPDATE: double free vulnerability in mpeg_decode_frame
    - debian/patches/CVE-2012-2803.patch: do not decode extradata more than
      once in libavcodec/mpeg12.c.
    - CVE-2012-2803
  * SECURITY UPDATE: issue in AAC decoding
    - debian/patches/CVE-2012-5144.patch: fix off-by-one in
      libavcodec/aacdec.c.
    - CVE-2012-5144

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 24 Jan 2013 13:31:43 -0500

libav (4:0.7.6-0ubuntu0.11.10.2) oneiric-security; urgency=low

  * SECURITY UPDATE: unspecified security issue in ff_rv34_decode_frame
    - debian/patches/CVE-2012-2772.patch: error out on size changes with
      frame threading in libavcodec/rv34.c.
    - CVE-2012-2772
  * SECURITY UPDATE: out of array write in quant_cof
    - debian/patches/CVE-2012-2775.patch: check opt_order in
      libavcodec/alsdec.c.
    - CVE-2012-2775
  * SECURITY UPDATE: security issues in decode_pic
    - debian/patches/CVE-2012-2777-2784.patch: prevent changing w/h in
      libavcodec/cavsdec.c.
    - CVE-2012-2777
    - CVE-2012-2784
  * SECURITY UPDATE: unspecified vulnerability in the decode_frame
    - debian/patches/CVE-2012-2779.patch: prevent decoding happening on a
      half initialized context in libavcodec/indeo5.c.
    - CVE-2012-2779
  * SECURITY UPDATE: out of array write in the decode_wdlt function
    - debian/patches/CVE-2012-2786.patch: check frame_end in
      libavcodec/dfa.c.
    - CVE-2012-2786
  * SECURITY UPDATE: out of array read in avi_read_packet function
    - debian/patches/CVE-2012-2788.patch: use accurate size in
      libavformat/avidec.c.
    - CVE-2012-2788
  * SECURITY UPDATE: unspecified vulnerability in avi_read_packet
    - debian/patches/CVE-2012-2789.patch: check num_vec_coeffs for validity
      in libavcodec/wmaprodec.c.
    - CVE-2012-2789
  * SECURITY UPDATE: unspecified vulnerability in read_var_block_data
    - debian/patches/CVE-2012-2790.patch: fix number of decoded samples in
      libavcodec/alsdec.c.
    - CVE-2012-2790
  * SECURITY UPDATE: unspecified vulnerability in lag_decode_zero_run_line
    - debian/patches/CVE-2012-2793.patch: check count before writing zeros
      in libavcodec/lagarith.c.
    - CVE-2012-2793
  * SECURITY UPDATE: unspecified vulnerability in decode_mb_info
    - debian/patches/CVE-2012-2794.patch: check tile size in
      libavcodec/indeo5.c.
    - CVE-2012-2794
  * SECURITY UPDATE: out of array write in decode_dds1
    - debian/patches/CVE-2012-2798.patch: fix length check in
      libavcodec/dfa.c.
    - CVE-2012-2798
  * SECURITY UPDATE: unspecified vulnerability in ff_ivi_process_empty_tile
    - debian/patches/CVE-2012-2800.patch: check tile sizes in
      libavcodec/ivi_common.*, libavcodec/indeo5.c.
    - CVE-2012-2800
  * SECURITY UPDATE: out of array writes in avs.c
    - debian/patches/CVE-2012-2801.patch: force dimensions in
      libavcodec/avs.c.
    - CVE-2012-2801

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 18 Dec 2012 10:04:54 -0500

libav (4:0.7.6-0ubuntu0.11.10.1) oneiric-security; urgency=low

  * Update to 0.7.6 to fix multiple security issues. (LP: #1012132)
    - CVE-2011-3929
    - CVE-2011-3936
    - CVE-2011-3940
    - CVE-2011-3945
    - CVE-2011-3947
    - CVE-2011-3951
    - CVE-2011-3952
    - CVE-2011-4031
    - CVE-2012-0848
    - CVE-2012-0850
    - CVE-2012-0851
    - CVE-2012-0852
    - CVE-2012-0853
    - CVE-2012-0858
    - CVE-2012-0859
    - CVE-2012-0947

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 12 Jun 2012 09:38:34 -0400

libav (4:0.7.3-0ubuntu0.11.10.1) oneiric-security; urgency=low

  * Update to 0.7.3 to fix multiple security issues (LP: #911811):
    - SECURITY UPDATE: denial of service and possible code execution via
      malformed file containing QDM2 stream
      - CVE-2011-4351
    - SECURITY UPDATE: denial of service and possible code execution via
      malformed file containing VP3 stream
      - CVE-2011-4352
    - SECURITY UPDATE: denial of service and possible code execution via
      malformed file containing VP5 or VP6 streams
      - CVE-2011-4353
    - SECURITY UPDATE: denial of service and possible code execution via
      malformed VMD file
      - CVE-2011-4364
    - SECURITY UPDATE: denial of service and possible code execution via
      malformed file containing svq1 stream
      - CVE-2011-4579

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 03 Jan 2012 15:31:49 -0500

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: libav
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian multimedia packages maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders: Sam Hocevar (Debian packages) <sam+deb@zoy.org>,
  Loic Minier <lool@dooz.org>,

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 DEB_SOURCE := $(shell dpkg-parsechangelog | sed -n 's/^Source: //p')
 DEB_VERSION := $(shell dpkg-parsechangelog | sed -n 's/^Version: //p')
 UPSTREAM_VERSION := $(shell echo $(DEB_VERSION) | sed -r 's/[^:]+://; s/-[^-]+$$//')
-SHLIBS_VERSION := 4:0.7.3-1
+SHLIBS_VERSION := 4:0.7-1
 
 LIB_PKGS := $(shell sed -nr 's/^Package:[[:space:]]*(lib(avutil|avcodec|avdevice|avformat|avfilter|postproc|swscale)(-extra-)?[0-9]+)[[:space:]]*$$/\1/p' debian/control)
 
@@ -93,11 +93,11 @@
 		--fail-missing --sourcedir=debian/tmp
 
 formats.txt: install
-	env LD_LIBRARY_PATH="$(LD_LIBRARY_PATH):$(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)" \
+	env LD_LIBRARY_PATH="$(LD_LIBRARY_PATH):$(CURDIR)/debian/tmp/usr/lib" \
 	debian/tmp/usr/bin/ffmpeg -formats | tee $@
 
 codecs.txt: install
-	env LD_LIBRARY_PATH="$(LD_LIBRARY_PATH):$(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)" \
+	env LD_LIBRARY_PATH="$(LD_LIBRARY_PATH):$(CURDIR)/debian/tmp/usr/lib" \
 	debian/tmp/usr/bin/ffmpeg -codecs | tee $@
 
 binary-indep: build-doxy install
@@ -129,7 +129,7 @@
 	    upkg=$$(echo "$$pkg" | sed -r 's/([0-9]+)$$/-extra-\1/'); \
 	    dh_makeshlibs -p"$$pkg" -V"$$pkg (>= $(DEB_VERSION)) | $$upkg (>= $(EPOCH)$(UPSTREAM_VERSION)), $$pkg (<< $(EPOCH)$(UPSTREAM_VERSION)-99) | $$upkg (<< $(EPOCH)$(UPSTREAM_VERSION).99)"; \
 	done
-	env LD_LIBRARY_PATH="$(LD_LIBRARY_PATH):$(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)" \
+	env LD_LIBRARY_PATH="$(LD_LIBRARY_PATH):$(CURDIR)/debian/tmp/usr/lib" \
 	dh_shlibdeps
 # target dependencies for external packages
 	for pkg in $(LIB_PKGS); do \
